Bug 188490 - The system clock picks up speed as the system load increases.
The system clock picks up speed as the system load increases.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brian Maly
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-10 12:01 EDT by Tom Roney
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 15:53:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Roney 2006-04-10 12:01:47 EDT
Description of problem:

  The system clock picks up speed as the
  system load increases.

Version-Release number of selected component (if applicable):

  System is updated to latest RPMs
  Running kernel 2.6.9-34
  Problem is reproducible on both EL and ELsmp

How reproducible:

  Put a load on the system.

Steps to Reproduce:

  In my case:
  1.  Download globus toolkit 4.0 and unzip in /home/globus.
  2.  Run make.
  3.  Before this finishes, the system clock is a day into the future.
  
Actual results:


Expected results:


Additional info:

  Running ntpd

    Followed these instructions
    http://kbase.redhat.com/faq/FAQ_43_4081.shtm
    No help.

    The ntp log shows that it will reset
    the time by, for example, -93.xxx seconds.

  Dmesg reported the following at boot:

    ..MP-BIOS bug: 8254 timer not connected to IOAPIC
    ...trying to set up timer (IRQ0) through the 8259A . failed.
    ...trying to set up timer as Virtual Wire IRQ... failed.
    ...trying to set up timer as ExtINT IRQ... works.

    Followed the instructions here:
    http://download.nvidia.com/XFree86/nforce/1.0-0301/KnownProblems.html
    Added acpi_skip_timer_override option to
    boot line option, but no help, other than
    getting rid of the error messages.

  Current setup is a mirrored RAID using
  Highpoint RocketRAID 1640 controller card.
  Tried single disk installation and the
  problem was even more pronounced because
  the system load was higher.

    Asus A8N-E Mainboard S939
    AMD Athlon64 X 2 4400+ BOX S939
    DDR PC3200 1024MB X 2
    Seagate 400 GB SATA HD X 2
    Asus GeForce6200TC 64/256 PCIE
    Intel PRO/1000MT Dual Port NIC

  Tried to reproduce problem using an
  older kernel (2.6.9-22ELsmp).  Ran okay.
Comment 1 Brian Maly 2006-04-18 10:46:04 EDT
can you do an "lspci" so we can figure out what chipset's are being used? Looks
like a problem similar to whats happening on some ATI based motherboards.
Comment 2 Tom Roney 2006-04-18 22:04:12 EDT
$ /sbin/lspci
00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller (rev a3)
00:01.0 ISA bridge: nVidia Corporation CK804 ISA Bridge (rev a3)
00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a3)
00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97 Audio 
Controller (rev a2)
00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev f2)
00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev a2)
00:0a.0 Ethernet controller: nVidia Corporation CK804 Ethernet Controller (rev 
a3)
00:0b.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0c.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0d.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
01:00.0 VGA compatible controller: nVidia Corporation GeForce 6200 TurboCache
(TM) (rev a1)
05:06.0 RAID bus controller: Triones Technologies, Inc. HPT374 (rev 07)
05:06.1 RAID bus controller: Triones Technologies, Inc. HPT374 (rev 07)
05:07.0 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet 
Controller (Copper) (rev 01)
05:07.1 Ethernet controller: Intel Corporation 82546EB Gigabit Ethernet 
Controller (Copper) (rev 01)
Comment 3 Tom Roney 2006-05-08 22:25:24 EDT
Is there an update please?  Any word at all?
Comment 4 Brian Maly 2006-05-09 10:43:03 EDT
are you using PowerNow? if so, what timesource is being used? i.e. "dmesg | grep
time"
Comment 5 Tom Roney 2006-05-09 14:00:42 EDT
$ dmesg | grep time
Kernel command line: ro root=LABEL=/ rhgb quiet acpi_skip_timer_override
Using tsc for high-res timesource
Calibrating delay using timer specific routine.. 4425.48 BogoMIPS (lpj=2212742)
per-CPU timeslice cutoff: 2925.47 usecs.
task migration cache decay timeout: 3 msecs.
Calibrating delay using timer specific routine.. 4422.02 BogoMIPS (lpj=2211014)
SELinux:  Disabled at runtime.
PCI: Setting latency timer of device 0000:00:0a.0 to 64
PCI: Setting latency timer of device 0000:00:04.0 to 64
PCI: Setting latency timer of device 0000:00:02.1 to 64
PCI: Setting latency timer of device 0000:00:02.0 to 64
Comment 6 Brian Maly 2006-05-09 14:06:27 EDT
using tsc as the timesource is surely the problem if your using PowerNow! if
using PowerNow, you need to use "pmtimer" or "hpet" as the timesource. Pmtimer
support didnt go into RHEL4 until U3, so you will need to upgrade if you dont
have an HPET on the system that you can use.
Comment 7 Tom Roney 2006-05-17 12:32:39 EDT
I installed RHEL AS4 U3 and and ntpd and have a
problem with the system clock.  I appreciate that
you may wish to offer me the benefit of the doubt
as to my level of sysadmin expertise, however, I,
like some others who may experience this same
problem with RHEL AS4 U3 and the system clock,
have not had to deal with such an issue before.
Please do help me by elaborating on your reply.
Or, are you telling me that this is my problem,
and not a problem with RHEL?
                                                            
Many Thanks for you prompt attention to this matter.
Comment 12 Brian Maly 2006-08-16 15:24:29 EDT
Regarding Comment #7, TSC cannot be used as a timesource on multiprocessor SMP
systems. AMD systems have unsynchronized TSC's (which go out of sync in a few
hours) and when the kernels timekeeping reads the TSC, it may read from any CPU.
when the TSC's go out of sync, the kernel may read from any TSC and introduce
error into the kernels timekeeping. this is a design issue with AMD and affects
all multiprocessor AMD systems running linux. On x86_64, use the "notsc" boot
arg to disable TSC based timekeeping. On i386 (i686) use "clock=hpet",
"clock=pmtmr", or "clock=pit" to select a different timesource.
Comment 13 Tom Roney 2006-08-16 15:44:27 EDT
After months of waiting, I had given up on RHEL
support and moved to SUSE, which seems to have
no problem with the system clock.

Note You need to log in before you can comment on or make changes to this bug.